OpenNMS API 1.2.9

## org.opennms.core.utils
Class IntSet

    java.lang.Object
      org.opennms.core.utils.IntSet

public class IntSet
extends java.lang.Object

Provides set functionality for ints.

Field Summary
`(package private) java.util.Set` `set`

Constructor Summary
`IntSet()`

Method Summary
`boolean` `add(int n)`
`boolean` `addAll(IntSet s)`
`void` `clear()`
`boolean` `contains(int n)`
`boolean` `containsAll(IntSet s)`
`boolean` `isEmpty()`
`java.util.Iterator` `iterator()`
`boolean` `remove(int n)`
`boolean` `removeAll(IntSet s)`
`boolean` `retainAll(IntSet s)`
`int` `size()`
`int[]` `toArray()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### set

    java.util.Set set

Constructor Detail

### IntSet

    public IntSet()

Method Detail

### add

    public boolean add(int n)

### addAll

    public boolean addAll(IntSet s)

### clear

    public void clear()

### contains

    public boolean contains(int n)

### containsAll

    public boolean containsAll(IntSet s)

### isEmpty

    public boolean isEmpty()

### iterator

    public java.util.Iterator iterator()

### remove

    public boolean remove(int n)

### removeAll

    public boolean removeAll(IntSet s)

### retainAll

    public boolean retainAll(IntSet s)

### size

    public int size()

### toArray

    public int[] toArray()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.